Duplicate template

POST
https://reloop.sh/api/template/v1/:id/duplicate

Path Parameters

idstringRequired
import Reloop from 'reloop-email';

const reloop = new Reloop("rl_123456789");

const newTemplate = await reloop.template.duplicate("tpl_123456789");
{
  "id": "con_123456789",
  "name": "Newsletter",
  "description": "example_description",
  "subject": "Welcome to Reloop",
  "fromEmail": "example_fromEmail",
  "replyTo": "example_replyTo",
  "previewText": "example_previewText",
  "organizationId": "example_organizationId",
  "createdByUserId": "example_createdByUserId",
  "status": "draft",
  "content": [],
  "variables": [
    {
      "name": "Newsletter",
      "type": "string",
      "defaultValue": null
    }
  ],
  "currentVersion": 0,
  "thumbnailUrl": "example_thumbnailUrl",
  "isDefault": true,
  "deletedAt": null,
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z"
}

Was this page helpful?

Edit this page